#pragma once

#include <maps/wikimap/mapspro/libs/social/include/yandex/maps/wiki/social/common.h>
#include <maps/wikimap/mapspro/libs/social/include/yandex/maps/wiki/social/date_time_condition.h>
#include <maps/wikimap/mapspro/libs/social/include/yandex/maps/wiki/social/task_filter.h>


namespace maps::wiki::social::tasks {

TIds getAllActiveEditTasksCommitIds(
    pqxx::transaction_base& work);

TIds getTaskIds(
    pqxx::transaction_base& work,
    const TaskFilter& filter);

TIds getTaskIdsResolvedAt(
    pqxx::transaction_base& work,
    DateTimeCondition resolvedAt);

TIds getTaskIdsClosedAt(
    pqxx::transaction_base& work,
    DateTimeCondition closedAt);

} // namespace maps::wiki::social::tasks
